use serde::Serialize;

use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::ICode;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "code")]
pub(crate) struct RenderCode {
    contents: String,
}

render!(RenderCode, ICode, original, _render_context, {
    Ok(RenderCode {
        contents: original.contents.clone(),
    })
});
