use serde::Serialize;

use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::IInlineSourceBlock;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "inline_source_block")]
pub(crate) struct RenderInlineSourceBlock {
    value: String,
}

render!(
    RenderInlineSourceBlock,
    IInlineSourceBlock,
    original,
    _render_context,
    {
        Ok(RenderInlineSourceBlock {
            value: original.value.clone(),
        })
    }
);
