use super::macros::intermediate;

use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct ICode {
    pub(crate) contents: String,
}

intermediate!(
    ICode,
    &'orig organic::types::Code<'parse>,
    original,
    _registry,
    {
        Ok(ICode {
            // TODO: Should this coalesce whitespace like PlainText?
            contents: original.contents.to_owned(),
        })
    }
);
