use super::macros::intermediate;

use super::util::coalesce_whitespace;
use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IPlainText {
    pub(crate) source: String,
}

intermediate!(
    IPlainText,
    &'orig organic::types::PlainText<'parse>,
    original,
    _registry,
    {
        Ok(IPlainText {
            source: coalesce_whitespace(original.source).into_owned(),
        })
    }
);
