use super::macros::intermediate;
use super::table_cell::ITableCell;
use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct ITableRow {
    pub(crate) children: Vec<ITableCell>,
}

intermediate!(
    ITableRow,
    &'orig organic::types::TableRow<'parse>,
    original,
    registry,
    {
        let children = {
            let mut ret = Vec::new();
            for obj in original.children.iter() {
                ret.push(ITableCell::new(registry.clone(), obj).await?);
            }
            ret
        };

        Ok(ITableRow { children })
    }
);
